Subject: Re: [bug#47943] [PATCH]: Gnu: Add Weir

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 22 Apr 2021 09:02:39 +0000

Giovanni Biscuolo <[email-masked]> skribis:

> Hello Sharlatan,
>
> thank you very much for your patch, Weir and generative algorithms for
> art graphic production are very interesting
>
> We should check the overall license status of weir, see below
>
> [...]
>
> The license file
> https://github.com/inconvergent/weir/blob/master/LICENSE
>
> contains this:
>
> --8<---------------cut here---------------start------------->8---
>
> This code is released under the MIT license(see below). Unless otherwise noted.
>
> Most prominent exceptions are:
>
> 1. Some utilities from On Lisp by Paul Graham (in src/various.lisp). They are
>    bound by this notice:
>
> ---
> This code is copyright 1993 by Paul Graham, but anyone who wants
> to use the code in any nonprofit activity, or distribute free
> verbatim copies (including this notice), is encouraged to do so.
> ---
>
> 2. Some modified code by Victor Anyakin in (in src/auxiliary/dat.lisp):
>
> ---
> Copyright (c) 2013-2018 Victor Anyakin <[email-masked]>
> All rights reserved.
>
> Redistribution and use in source and binary forms, with or without
> modification, are permitted provided that the following conditions are met:
>     * Redistributions of source code must retain the above copyright
>       notice, this list of conditions and the following disclaimer.
>     * Redistributions in binary form must reproduce the above copyright
>       notice, this list of conditions and the following disclaimer in the
>       documentation and/or other materials provided with the distribution.
>     * Neither the name of the organization nor the
>       names of its contributors may be used to endorse or promote products
>       derived from this software without specific prior written permission.
>
> THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
> ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
> WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
> DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY
> DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
> (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
> LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
> ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
> (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
> SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
> ---
>
> 3. Some code suggested by @lispm (in src/auxiliary/dat.lisp, src/various.lisp). There
> are links to the original suggestions
>
> --8<---------------cut here---------------end--------------->8---
>
> AFAIU the license in 1. means that that piece of code is not free
> software, since "verbatim copy" AFAIU is not free
>
> The license in 2. AFAIU is free software, license:expat or other? Can
> you clarify please?
>
> The code referenced in 3. is suggested by lispm in
> https://gist.github.com/inconvergent/8b6ccfbde4fca7844c1962082ef07a7e
> and AFAIU is not a trivial patch with no clear license: I really don't
> know how this kind of code is normally evaluated from a GNU FSDG point
> of view
>
> I think we need some guidance from someone more experienced in license
> issues.
>
> Thanks! Giovanni.

Hi Giovanni,

I pushed the patch just before receiving your email about the possible
license issue. Bad timing...

I'm not a lawyer and I'm not sure what the final license of Weir is, so
it would be nice if some license expert could give us their opinion on
this. And in case there's a problem, I'll revert the patch.